MARIADB_CONFIG(1)

NAME
mariadb_config - get compiler flags for using the MariaDB client library

SYNOPSIS
mariadb_config [--cflags | --include | --libs | --libs_r | --version | --socket | --port]

OPTIONS

--cflags
    Prints the C compiler flags used to compile the library. In most cases you should use --include instead.

--include
    Prints the C compiler flags needed to compile sources using the library.

--libs
    Prints the linker flags needed to link with the library.

--libs_r
    Present only for backwards compatibility.

--version
    Prints the version of the library.

--socket
    Prints the default socket name for connections.

--port
    Prints the default port number for connections.

COPYRIGHT
Copyright 2011 Monty Program AB

AUTHOR
The MariaDB Client Library for C was written by the MariaDB Foundation. This manual page was written by Daniel Schepler <schepler@debian.org> for the Debian system but may be used by other projects under the terms of the GNU Library General Public License, version 2 or later.